label RS2:
    $ impressSkeptic = False
    $ impressLovey = False
    show bg mcb_bg
    show mcb_door
    show mcb_screen
    "{i} You go back home and go to sleep for the night. {/i}"
    "{i} You wake up and head to the lab. {/i}"
    hide mcb_door
    hide mcb_screen
    show bg skepticRoom
    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
    show skeptic neutral at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
    "{i} You are back at the main lab, attempting to blend in and not look like a complete idiot. {/i}"
    "{i} Everyone is working at their stations. So you should do the same. {/i}"
    
    menu:
        "{i} Pretend that you are working on your research. {/i}":
            "{i} You write some jibberish down and tinker around with some of the equipment. {/i}"
        "{i} Attempt to decipher the research on your desk. {/i}":
            "{i} You see some strange alien buttons on a device on your desk. {/i}"
            "{i} You press a series of buttons corresponding to the colored folders of research on
            your desk. The device beeps, and a holographic image of two different structural
            crystals apear. {/i}"
            "{i} One of the holographic images has two distinct words under it, 'Haknah' and 'unfolded'.
            The other crystal looks extreemly similar except that it is much more condensed. It has
            the words 'Nestica' (which you believe to be some kind of planet), and 'folded'. {/i}"
            
    "{i} Ahkneh comes up to you. {/i}"
    show lovey joy at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    lovey "{color=0f0} Hey, Minkah! Would you mind checking out this one issue I'm having with
    my device? It seems to be acting up. {/color}"
    menu:
        "{color=e0f} Give me a few seconds And I'll be right over. {/color}":
            mc "{color=e0f} Give me a few seconds And I'll be right over. {/color}"
            lovey "{color=0f0} Okay, great! {/color}"
        "{color=0f0} Sure, I'd be happy to help you out. {/color}":
            mc "{color=0f0} Sure, I'd be happy to help you out. {/color}"
            lovey "{color=0f0} Great! {/color}"
        "{color=e0f} I'm really busy trying to finalize my reseach, could you ask someone else? {/color}":
            mc "{color=e0f} I'm really busy trying to finalize my reseach, could you ask someone else? {/color}"
            show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=e0f} No, you have more intimate knowledge of the Uberzone crystal than almost
            anyone else, except maybe Kartzen, and I really don't want to have to ask him. {/color}"
            mc "{color=e0f} Oh, alright. I guess I'll help you out. {/color}"
    "{i} You walk over to Ahkneh's section of the lab. {/i}"
    mc "{color=e0f} What seems to be the problem? {/color}"
    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    lovey "{color=e0f} I'm just experiencing an issue with my device that the daily readings of the Uberzone
    are making my machine act randomly. {/color}"
    menu:
        "{color=ff0} Have you checked the micro-converter? {/color}":
            mc "{color=ff0} Have you checked the micro-converter? {/color}"
            show lovey angry at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=f00} I have no time for your games today. I'll just do it myself. {/color}"
        "{color=e0f} How should I know what is wrong with your device? {/color}":
            mc "{color=e0f} How should I know what is wrong with your device? {/color}"
            show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=e0f} You're right, I'll just have to figure it out later. {/color}"
        "{color=e0f} Hold on, let me look at your Uberzone data. {/color}":
            mc "{color=e0f} Hold on, let me look at your Uberzone data. {/color}"
            mc "{color=e0f} Yup, just as I thought, You have to adjust for the specific bulges that occur in conjunction
            with the three suns during their closest phases, and the daily density fluctuations are slightly off. {/color}"
            show lovey joy at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=0f0} Oh, thank you very much! That would have taken me hours to figure out. {/color}"
            skeptic "{color=e0f} Actually, that was quite impressive. It might have even taken me an extra minute to
            figure that one out than you did, Minkah. {/color}"
            menu:
                "{color=e0f} Yeah... it really wasn't that hard, Ahknah. Kartzen could have solved it faster than you and he doesn't have 
                either of our expertises. {/color}":
                    mc "{color=e0f} Yeah... it really wasn't that hard, Ahknah. Kartzen could have solved it faster than you and he doesn't have 
                    either of our expertises. He's the real genius here. {/color}"
                    $ impressSkeptic = True
                    show skeptic bullshit at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
                    skeptic "{color=ff0} Well, I don't like to brag, especially at the expense of the less fortunate. {/color}"
                    show lovey angry at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                    lovey "{color=f00} You guys are jerks!. {/color}"
                "{color=0f0} Thank you. Thank you. I'll be here all week. {/color}":
                    mc "{color=0f0} Thank you. Thank you. I'll be here all week. {/color}"
                    show lovey joy at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                    lovey "{color=0f0} Oh Minkah, what would I do without you? {/color}"
                "{color=e0f} You know, Ahkneh. Aside from that small complication, your work is really impressive. {/color}":
                    mc "{color=e0f} You know, Ahkneh. Aside from that small complication, your work is really impressive. {/color}"
                    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                    lovey "{color=e0f} Oh, thank you! You've been really sweet lately. {/color}"
                    menu:
                        "{color=0e0} Actually, I was thinking that maybe we could go out tonight after work. {/color}":
                            mc "{color=0e0} Actually, I was thinking that maybe we could go out tonight after work. {/color}"
                            show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                            lovey "{color=0f0} To celebrate? {/color}"
                            mc "{color=0e0} Actually, I was thinking we could go to the SwankySwamp. {/color}"
                            show lovey attracted at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                            lovey "{color=0e0} Oh wow! I've wanted to go there with someone for ages! Absolutely! {/color}"
                            $ impressLovey = True
                        "{color=e0f} Think nothing of it. {/color}":
                            mc "{color=e0f} Think nothing of it. {/color}"
                              
    show agent joy at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
    agent "{color=0f0} What's all this commotion? Am I missing a party? {/color}"
    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    lovey "{color=e0f} I thought you were busy Sentaks. {/color}"
    menu:
        "{color=e0f} Oh, how very human of you to need to be involved. {/color}":
            mc "{color=e0f} Oh, how very human of you to need to be involved. {/color}"
            show agent joy at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
            agent "{color=0f0} Haha, very funny. {/color}"
            menu:
                "{color=ff0} I thought so. {/color}":
                    mc "{color=ff0} I thought so. {/color}"
                "{color=e0f} Why did you come over here anyway? To {i}harvest{/i} Ahkneh's device? {/color}":
                    mc "{color=e0f} Why did you come over here anyway? To {i}harvest{/i} Ahkneh's device? {/color}"
                    hide lovey
                    hide skeptic
                    hide agent
                    hide bg
                    jump Agent2
        "{color=e0f} No, we were just attending to Ahkneh's issue with her device. {/color}":
            mc "{color=e0f} No, we were just attendint to Ahkneh's issue with her device. {/color}"
            
    show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
    agent "{color=0f0} Well, the big day is coming up. Good luck! Hope you have everything ready. {/color}"
    if impressLovey:
        hide lovey
        hide skeptic
        hide agent
        hide bg
        jump Lovey2
    elif impressSkeptic:
        hide lovey
        hide skeptic
        hide agent
        hide bg
        jump Skeptic2
    else:
        hide lovey
        hide agent
        hide skeptic
        hide bg
        jump Climax
    return
