﻿init:
    # MC
    $ mc = Character('Minkah', color="fff")
    
    # Inventory
    $ mcHasMWD = False             # MWD = Mind-Wipe Device
    $ mcHasLoveyDevice = False

        
    # SKEPTIC
    $ skeptic = Character('Kartzen', color="fff")
    # Images
    image skeptic angry = "skeptic_angry-2.png"
    image skeptic attracted = "skeptic_attracted-1.png"
    image skeptic bullshit = "skeptic_bullshit.png"
    image skeptic joy = "skeptic_joy.png"
    image skeptic neutral = "skeptic_neutral.png"
    image skeptic sad = "skeptic_sad.png"
    image skeptic surprise = "skeptic_surprise.png"
    
    # Variables
    $ skepticAffection = 0              # need a high affection score to be able to romance Skeptic
    # skeptic doesn't care about suspicion
    
    # Flags
    $ skepticRomanced = True
    

    # LOVEY
    $ lovey = Character('Ahkneh', color="fff")
    # Variables
    $ loveyAffection = 0
    $ loveySuspicion = 0               # goes up if you act out-of-character with MCB's actions

    # Flags
    $ loveyKnows = False
    $ loveyRomance = True
    
    # Images
    image lovey angry = "lovey_anger.png"
    image lovey attracted = "lovey_attraction.png"
    image lovey bullshit = "lovey_bullshit.png"
    image lovey joy = "lovey_joy.png"
    image lovey neutral = "lovey_neutral.png"
    image lovey sad = "lovey_sad.png"
    image lovey surprise = "lovey_surprise.png"


    #AGENT
    $ agent = Character('Sentaks', color="fff")
    # Variables
    $ agentAlive = True
    $ agentAffection = 0  
    $ agentSuspicion = 0              # goes up if you act like a human and not an alien
    
    # Flags
    $ agentRomanced = False
    $ agentKnows = False    
    
    # Images
    image agent angry = "agent_angry.png"
    image agent attracted = "agent_attraction.png"
    image agent bullshit = "agent_bullshit.png"
    image agent joy = "agent_joy.png"
    image agent neutral = "agent_neutral.png"
    image agent sad = "agent_sad.png"
    image agent surprise = "agent_surprise.png"

    $ win = False
    # BACKGROUNDS
    # Planets
    image bg planetHaknah = "planet-Haknah.png"
    image bg planetHaknahHarvest = "Haknahharvest.png"
    image bg earthNormal = "Earth_nocrystal.png"
    image bg earthCrystal1 = "Earth_scatteredcrystals.png"
    image bg earthCrystal2 = "Earth_crystals.png"
    image bg earthCrystal3 = "Earth_encrusted.png"
    # Rooms
    # MCB
    image bg mcb_bg = "mcb_bg.png"
    image mcb_door = "mcb_door.png"
    image mcb_mwd = "mcb_mwd.png"
    image mcb_screen = "mcb_screen.png"
    # LOVEY
    image bg loveyRoom = "c800_loveyd4.png"
    image bg swankySwamp = "c800_restd2.png"
    # AGENT
    image bg agentStandoff = "Agent_standoffcolor.jpg"
    image bg agentRoom = "c800_agentd5.png"
    # SKEPTIC
    image bg skepticRoom = "c800_skepd5.png"
    image bg breakfast = "c800_dinD2.png"
    image bg symposium = "c800_bigmeetingd5.png"
    image bg hallway = "c800_commonD3.png"
    # THESIS
    image bg thesis_machine = "thesis_machineBG.png"
    image thesis_screwdriver = "thesis_screwdriver.png"
    image thesis_antenna = "thesis_antennaok.png"
    image thesis_antennaB = "thesis_antennaBROKE.png"
    image thesis_opening = "thesis_opening.png"
    
############################################################################    
    
# Openning Cutscene
label start:
    play music "Dynamic-Xeno.ogg"
    # Cutscene would go here, but here is a brief description of what it should entail
    show bg planetHaknah
    "Planet Haknah."
    "A tropical planet with three suns a crystaline atmosphere (the Uberzone, as the 
    Haknim people call it) that acts as a physical shield around the planet."
    show bg planetHaknahHarvest
    "Human kind discovered this planet and managed to break through the Uberzone
    in order to harvest its crystals."
    "The Haknim people abandoned the area and avoided all contact with humanity, developing
    both a fear and a hatred for human kind as they harvested their precious Uberzone."
    "But soon after all the shards were taken back to Earth, 
    the Uberzone started closing up." 
    show bg earthNormal
    "So the humans evacuated back to earth, but a few weeks later they realized that 
    the crystals were growing and making much of their own planet uninhabitable."
    show bg earthCrystal1
    "If humanity has any hope of saving Earth, they need to figure out how to stop the
    'cancerous crystal-moss' (as the media calls it) from spreading."
    show bg planetHaknah
    "A small hole in the Uberzone was recently made, and you have been selected
    to be beamed into a Haknim researcher, who's team is studying their atmosphere."
    "We have very little knowledge of Haknim culture, you will need to figure out how they
    communicate in order to blend in and get the information we need."
    "The hole we will beam you through will also probably be filled in by the time you get
    the necessary information. So you will need to make another one to communicate."
    "Good luck. The fate of the world is in your hands."
    hide bg
    jump intro

# Intro Scene
label intro:
    show bg mcb_bg
    show mcb_door
    show mcb_mwd
    show mcb_screen
    "{i} Feeling a little groggy, you wake up on the floor of a strange room.
    \n Some sort of alien device lies in front of you. {/i}"

    lovey "{color=e0f} Minkah, it's me, Ahkneh.
    \n You told me to meet you at your place. {/color}"
    hide mcb_door
    lovey "{color=e0f} The door is open. I'm coming in. {/color}"
    show lovey surprise at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    lovey "{color=f0f} Minkah! What are you doing spralled out on the floor?
    \n Are you alright? {/color}"
    hide lovey
    show mcb_door
    show lovey surprise at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    menu:
        "{color=e0f} Umm... I'm not quite sure. I feel a little weird. {/color}":
            mc "{color=e0f} Umm... I'm not quite sure. I feel a little weird. {/color}"
            show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=e0f} Yeah, you don't look so good. {/color}"
            mc "{color=e0f} I'll be fine. {/color}"
            lovey "{color=e0f} Okay, just take it easy for a little. {/color}"
        "{color=ff0} Just Testing out gravity. {/color}":
            mc "{color=ff0} Just testing out gravity. {/color}"
            show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=e0f} Well, now you know it's working. {/color}"
            
    lovey "{color=e0f} Sentaks and Kartzen are already on their way to breakfast.
    \n Do you need a few moments to collect yourself? {/color}"
    menu:
        "{color=e0f} I'm ready. Let's go. {/color}":
            mc "{color=e0f} I'm ready. Let's go. {/color}"
            lovey "{color=e0f} Okay. Follow me. {/color}"
            hide lovey
            hide mcb_door
            hide mcb_mwd
            hide mcb_screen
            hide bg
            jump breakfast
        "{color=e0f} Just give me a minute. I'll be out soon. {/color}":
            mc "{color=e0f} Just give me a minute. I'll be out soon. {/color}"
            lovey "{color=e0f} Okay, but don't take too long.
            \n We don't want to keep them waiting. {/color}"
            hide lovey
            jump intro_room            
            
    return
    
label intro_room:
    mc "{i} Wow, so that's what a Haknim looks like.
    \n I had only seen pictures of them back on Earth. {/i}"
    $ open = False
    $ safe = False
    while True:
        python:
            ui.imagebutton ("invis_200.png", "invis_200.png", clicked=ui.returns(0), hovered=ui.returns(0), xpos=45, ypos=85)
            ui.imagebutton ("invis_100.png", "invis_100.png", clicked=ui.returns(3), hovered=ui.returns(4), xpos=95, ypos=135)
            ui.imagebutton ("invis_50.png", "invis_50.png", clicked=ui.returns(0), hovered=ui.returns(0), xpos=262, ypos=97)
            ui.imagebutton ("invis_25.png", "invis_25.png", clicked=ui.returns(1), hovered=ui.returns(2), xpos=274, ypos=109)
            ui.imagebutton ("invis_50.png", "invis_50.png", clicked=ui.returns(0), hovered=ui.returns(0), xpos=711, ypos=115)
            ui.imagebutton ("invis_25.png", "invis_25.png", clicked=ui.returns(5), hovered=ui.returns(6), xpos=724, ypos=128)
            ui.imagebutton ("invis_100.png", "invis_100.png", clicked=ui.returns(0), hovered=ui.returns(0), xpos=257, ypos=357)
            ui.imagebutton ("invis_50.png", "invis_50.png", clicked=ui.returns(9), hovered=ui.returns(10), xpos=282, ypos=382)
            ui.imagebutton ("invis_50.png", "invis_50.png", clicked=ui.returns(0), hovered=ui.returns(0), xpos=432, ypos=135)
            ui.imagebutton ("invis_25.png", "invis_25.png", clicked=ui.returns(7), hovered=ui.returns(8), xpos=445, ypos=148)
            result = ui.interact()
        if result == 0:
            pass
        elif result == 1 and open:
            show mcb_door
            $ open = False
        elif result == 1 and open == False:
            hide mcb_door
            $ open = True
        elif result == 2 and open:
            python:
                ui.window()
                ui.vbox()
                ui.text("Close Door?")
                ui.close()
        elif result == 2 and open==False:
            python:
                ui.window()
                ui.vbox()
                ui.text("Open Door?")
                ui.close()
        elif result == 3 and open:
            jump breakfast
        elif result == 3 and open == False:
            pass
        elif result == 4 and open:
            python:
                ui.window()
                ui.vbox()
                ui.text("Go to breakfast?")
                ui.close()
        elif result == 4 and open==False:
            python:
                ui.window()
                ui.vbox()
                ui.text("Open the Door if you want to go to breakfast.")
                ui.close()
        elif result == 5 and safe:
            show mcb_screen
            $ safe = False
        elif result == 5 and safe == False:
            hide mcb_screen
            $ safe = True
        elif result == 6 and safe:
            python:
                ui.window()
                ui.vbox()
                ui.text("Press the button?")
                ui.close()
        elif result == 6 and safe==False:
            python:
                ui.window()
                ui.vbox()
                ui.text("Press the button?")
                ui.close()
        elif result == 7 and safe:
            menu:
                "{i} Read it {/i}":
                    "{i} You read the guide. {/i}"
                    "Historically, meals have been times for people to come together, relax, and be friendly right before or after a day of work.  
                    To maintain this light atmosphere, diners are expected to follow certain rules of etiquette."
                    "Make plesant conversation with the other diners.  Try to check in with everyone at least once during the meal.  If a diner 
                    arrives late to the meal, then be sure to stay at the table long enough to say hello."
                    "Wash your hands before every meal.  Remember, what's on your hand will end up on your mouth."
                    "Think of meals as short breaks from your work.  So avoid talking about job-related or academic topics."
                    "{i} You put the guide back where it was. {/i}"
                "{i} Don't read it {/i}":
                    "{i} You leave the guide as it is. {/i}"
        elif result == 8 and safe:
            python:
                ui.window()
                ui.vbox()
                ui.text("This looks to be some notes about dining etiquette for Haknim.")
                ui.close()
        elif result == 9 and mcHasMWD == False:
            menu:
                "{i} Take device {/i}":
                    "{i} You take the device. {/i}"
                    hide mcb_mwd
                    $ mcHasMWD = True
                "{i} Leave it alone {/i}":
                    "{i} You leave the device where it lies. {/i}"
        elif result == 10 and mcHasMWD == False:
            python:
                ui.window()
                ui.vbox()
                ui.text("You woke up next to this strange device.")
                ui.close()
        else:
            pass
   
    return

    
# Breakfast    
label breakfast:
    # breakfast variables
    $ mcTookCrepe = False
    $ mcHungry = True
    
    show bg breakfast
    show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
    show skeptic neutral at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
    "{i} You're now at breakfast. {/i}"
    "{i} You and Ahkneh join Sentaks and Kartzen at the table with what you can only assume
    to be food at the center. {/i}"
    
    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    lovey "{color=e0f} Hello, Sentaks and Kartzen. Sorry to keep you waiting. {/color}"
    show agent surprise at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
    show skeptic neutral at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
    skeptic "{color=e0f} Your lack of punctuality has not caused any amount of misfortune
    on our account.
    \n We had just arrived. {/color}"
    show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
    agent "{color=e0f} What he said. {/color}"
    agent "{color=e0f} Would you like a crepe? {/color}
    \n {i} Sentaks hands you some squid-like thing with what appears to be creme filling {/i}"
    menu:
        "{color=f00} No, That's gross! {/color}":
            mc "{color=f00} No, That's gross! {/color}"
            show lovey surprise at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=f0f} I know you don't like crepes, but there's no need to get angry. {/color}"
            $ agentSuspicion += 2
            mc "{color=e0f} Sorry, I'm a little out of it. {/color}"
            show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
        "{color=e0f} No thank you. {/color}":
            mc "{color=e0f} No thank you. {/color}"
            lovey "{color=e0f} Minkah has hated crepes since she got food poisoning
            from them two months ago. {/color}"
            show agent joy at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
            agent "{color=0f0} Haha. Yes, I heard about that. {/color}"
            show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
        "{i} Accept the 'crepe' {/i}":
            show lovey surprise at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            "{i} You put the squid-crepe thing on your plate. {/i}"
            $ mcTookCrepe = True
            $ loveySuspicion += 5
    
    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    "{i} You look around, and everyone has put several odd looking food items on their plates.
    \n It seems as though they are waiting for you to fill your plate before they begin {/i}"
    menu:
        "{color=e0f} I'm not feeling very hungry for some reason.
        \n Please eat. {/color}":
            $ mcHungry = False
            $ agentSuspicion += 3
            lovey "{color=e0f} Are you sure you're alright? 
            You may be coming down with something. {/color}"
            mc "{color=e0f} No, I'm fine. {/color}"
            skeptic "{color=e0f} Well, there you have it. We can begin.
            \n Could you pass the apple pie please, Sentaks? {/color}"
        "{i} Take the most familiar looking foods at the center of the table {/i}":
            "{i} You take the most familiar looking foods at the center of the table,
            including a purple fruit-like thing and a green goo you hope is something like jello. {/i}"
        "{i} Take the most outragious looking foods at the center of the table {/i}":
            "{i} You take the most familiar looking foods at the center of the table,
            including a blue object that somehow looks like a cross between a giant acorn
            and a well-done steak. {/i}"
        "{i} Put three more crepes on your plate. {/i}" if mcTookCrepe:
            "{i} You put three more crepes on your plate and fill your plate. {/i}"
            show lovey surprise at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=e0f} I thought you hated crepes ever since you got 
            food poisening from them. {/color}"
            menu:
                "{color=0e0} I did too. But sometimes you have to give things
                a second chance. {/color}":
                    mc "{color=0e0} I did too. But sometimes you have to give things
                    a second chance. {/color}"
                    show lovey attracted at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                    "{i} Ahkneh fidgets a little. {/i}"
                    $ loveySuspicion -= 3
                    $ loveyAffection += 5
                    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                "{color=e0f} Oh, right... I guess I'll switch them out for something else. {/color}":
                    mc "{color=e0f} Oh, right... I guess I'll switch them out for something else. {/color}"
                    "{i} You put the 'crepes' back and get something else. {/i}"
                    $ loveySuspicion += 2
                    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                "{color=e0f} Are you kidding me? I love crepes! {/color}":
                    mc "{color=e0f} Are you kidding me? I love crepes! {/color}"
                    $ loveySuspicion += 5
                    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                "{color=ff0} Are you kidding me? I love crepes! {/color}":
                    mc "{color=ff0} Are you kidding me? I love crepes! {/color}"
                    "{i} You put the 'crepes' back and get something else. {/i}"
                    $ loveySuspicion -= 3
                    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                    
    if mcHungry:
        "{i} Everyone looks like they're about to start eating. How do you eat? {/i}"
        menu:
            "{i} Grab two things on the table that look kind of like utensils. {/i}":
                "{i} You take the two utensil-like objects and attempt to eat with them. {/i}"
                show lovey surprise at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                show skeptic bullshit at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
                show agent surprise at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                skeptic "{color=ff0} Well, don't we have a genius in our midst. {/color}"
                show skeptic neutral at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
                lovey "{color=f0f} What are you doing? You do realize that those
                are for decoration, right? {/color}"
                $ agentSuspicion += 7
                mc "{color=e0f} Um... Just kidding. {/color}"
                "{i} You awkwardly look around and mimic how everyone else is eating. {/i}"
                show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
                show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
            "{i} Put your face down and dig in! {/i}":
                "{i} You put your face down and start snarfing down your food. {/i}"
                agent "{color=e0f} Wow, someone's hungry. {/color}"
                $ agentSuspicion += 1
            "{i} Eat the food with your hands {/i}":
                "{i} You eat the food with your hands. {/i}"
                "{i} No one seems to think anything of it. {/i}"
                  
    if agentSuspicion > 0:
        hide skeptic
        hide lovey
        agent "{color=e0f} You're looking a little peaked, MCB. {/color}"
        show agent joy at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
        agent "{color=0f0} You've been working too hard, not spending enough time 
        having fun with me! {/color}"
        agent "{color=0f0} What you need is a little vacation, some rest and relaxation. {/color}"
        agent "{color=0f0} Tell you what, I'm taking you on a visit to the tea house. 
        Whaddya say? {/color}"
        menu:
            "{color=e0f} No, I really shouldn't. {/color}":
                mc "{color=e0f} No, I really shouldn't. {/color}"
                show agent surprise at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                agent "{color=f0f} No, MCB, look... {/color}"
                show agent sad at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                agent "{color=e00} Look, I'm sorry about last night, okay? {/color}"
                agent "{color=e00} I'm going to make it up to you! {/color}"
                show agent joy at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                agent "{color=0f0} It's a treat, on me! I'm going to pay for everything! {/color}"
                show agent neutral at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                agent "{color=e0f} Now how can you refuse an offer like that! {/color}"
                menu:
                    "{color=e0f} I'll come. {/color}":
                        mc "{color=e0f} I'll come. {/color}"
                        show agent joy at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                        hide agent
                        hide bg
                        jump Agent1
                    "{color=e0f} I really can't. {/color}":
                        show agent sad at Position(xpos = 0.5, xanchor=0.5, ypos=0.5, yanchor=0.5)
                        agent "{color=e00} ... {/color}"
                        agent "{color=e00} I see. {/color}"
                        agent "{color=e00} Well, then. Good luck with your research. {/color}"
                        hide agent
            "{color=0f0} I would enjoy that. {/color}":
                mc "{color=0f0} I would enjoy that. {/color}"
                show agent joy
                hide skeptic
                hide lovey
                hide agent
                hide bg
                jump Agent1

    show skeptic neutral at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
    show lovey neutral at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
    lovey "{color=e0f} Do you want to hang out at my place in a little bit? {/color}"
    menu:
        "{color=e0f} Yeah, let's go. {/color}":
            mc "{color=e0f} Yeah, let's go. {/color}"
            show lovey joy at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=0f0} Great! {/color}"
            $ loveyAffection += 3
            hide lovey
            hide skeptic
            hide agent
            hide bg
            jump Lovey1
        "{color=e0f} Not today. {/color}":
            mc "{color=e0f} Not today. {/color}"
            show lovey sad at Position(xpos = 0.2, xanchor=0.5, ypos=0.5, yanchor=0.5)
            lovey "{color=e00} Oh, okay. I'll see you later. {/color}"
            hide lovey

    show skeptic bullshit at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
    skeptic "{color=ff0} Well, aren't you lonely. {/color}"
    show skeptic neutral at Position(xpos = 0.8, xanchor=0.5, ypos=0.5, yanchor=0.5)
    skeptic "{color=e0f} I plan on going back to my lab to work on research.
    \n You are welcome to join me so long as you do not distract me. {/color}"
    hide skeptic
    hide bg
    jump Skeptic1
            
    return
